Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.security
Interface ProviderMBean

All Known Subinterfaces:
  ActiveDirectoryAuthenticatorMBean, AdjudicatorMBean, AuditorMBean, AuthenticationProviderMBean, AuthenticatorMBean, AuthorizerMBean, CredentialMapperMBean, DefaultAdjudicatorMBean, DefaultAuditorMBean, DefaultAuthenticatorMBean, DefaultAuthorizerMBean, DefaultCredentialMapperMBean, DefaultIdentityAsserterMBean, DefaultKeyStoreMBean, DefaultRoleMapperMBean, DeployableAuthorizerMBean, DeployableCredentialMapperMBean, DeployableRoleMapperMBean, IdentityAsserterMBean, IPlanetAuthenticatorMBean, KeyStoreMBean, LDAPAuthenticatorMBean, LDAPX509IdentityAsserterMBean, NovellAuthenticatorMBean, OpenLDAPAuthenticatorMBean, RealmAdapterAdjudicatorMBean, RealmAdapterAuditorMBean, RealmAdapterAuthenticatorMBean, RealmAdapterAuthorizerMBean, RoleMapperMBean

public interface ProviderMBean
extends weblogic.management.commo.StandardInterface

The base MBean for all security providers.

It includes attributes common to all security providers. Every security provider must implement an MBean that extends this MBean.

If the security provider supports management methods, the management methods cannot be called until the validate method of realm in which the security provider is configured successfully returns. That is, the administrator must completely configure the realm before using the management methods (for example, adding a user).

Method Summary
`java.lang.String` | `getDescription()` Describes this security provider.
`java.lang.String` | `getProviderClassName()` The name of the Java class used to load the security provider.
`RealmMBean` | `getRealm()` The realm that contains this security provider.
`java.lang.String` | `getVersion()` this security provider's version.
`void` | `setRealm(RealmMBean newValue)` The realm that contains this security provider.

Methods inherited from interface weblogic.management.commo.StandardInterface
`wls_getAttributeTag, wls_getConstructorTag, wls_getDisplayName, wls_getInterfaceClassName, wls_getMBeanTag, wls_getNotificationTag, wls_getObjectName, wls_getOperationTag`

Method Detail

### getProviderClassName

    public java.lang.String getProviderClassName()

  The name of the Java class used to load the security provider.

  Each security provider must implement a runtime class (eg. `com.acme.MyAuthenticationProviderImpl`) which extends provider type specific interface in weblogic.security.spi (eg. `weblogic.security.spi.AuthorizationProvider`). The security provider must also implement an mbean which ultimately extends this mbean. The security provider's mbean must set the default value of this read-only attribute the fully qualified classname of the security provider's runtime class (eg. `com.acme.MyAuthenticationProviderImpl`). In other words, the security provider's mbean hard-wires the name of its runtime class.

### getDescription

    public java.lang.String getDescription()

  Describes this security provider.

  Each security provider's mbean should set the default value of this read-only attribute to a string that describes the provider. In other words, each security provider's mbean hard-wires its description. There are no conventions on the contents of the description. It should be a human readable string that gives a brief description of the security provider.

### getVersion

    public java.lang.String getVersion()

  this security provider's version.

  Each security provider's mbean should set the default value of this read-only attribute to a string that specifies the version of the provider (eg. 7.3.04). In other words, each security provider's mbean hard-wires its version. There are no conventions on the contents of the version string.

### getRealm

    public RealmMBean getRealm()

  The realm that contains this security provider.

  Each security provider mbean instance may only be used by one security realm mbean. That is, security providers are scoped within a realm. The realm has attributes that return its providers (eg. `Authorizers`). Similarly, each provider uses this attribute to refer back to its realm.

  Whoever adds a security provider to a realm must also set this attribute to make the provider refer to its realm.

### setRealm

    public void setRealm(RealmMBean newValue)
                  throws javax.management.InvalidAttributeValueException

  The realm that contains this security provider.

  Each security provider mbean instance may only be used by one security realm mbean. That is, security providers are scoped within a realm. The realm has attributes that return its providers (eg. `Authorizers`). Similarly, each provider uses this attribute to refer back to its realm.

  Whoever adds a security provider to a realm must also set this attribute to make the provider refer to its realm.

  Parameters:
    `newValue` - - new value for attribute Realm
  Throws:
    javax.management.InvalidAttributeValueException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference